## dygraphs 0.3.3

=== DESCRIPTION ===
Package: dygraphs
Type: Package
Title: Interface to Dygraphs Interactive Time Series Charting Library
Version: 0.3.3
Date: 2014-12-23
Authors@R: c(
    person("Dan", "Vanderkam", role = c("aut", "cph"),
       comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
    person("JJ", "Allaire", role = c("aut", "cre"),
       comment = "R interface", email = "jj@rstudio.com"),
    person(family = "RStudio", role = "cph")
    )
Maintainer: JJ Allaire <jj@rstudio.com>
Description: An R interface to the dygraphs JavaScript charting library
    (a copy of which is included in the package). Provides rich facilities
    for charting time-series data in R, including highly configurable 
    series- and axis-display and interactive features like zoom/pan and 
    series/point highlighting.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, htmlwidgets (>= 0.3.2), zoo (>= 1.7-10), xts (>=
        0.9-7)
Suggests: testthat
Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
Packaged: 2014-12-23 15:37:56 UTC; jjallaire
Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
    http://dygraphs.com/),
  JJ Allaire [aut, cre] (R interface),
  RStudio [cph]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-12-23 18:01:22

## dygraphs 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.3.3
+Version: 0.4.1
 Date: 2014-12-23
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
@@ -22,11 +22,11 @@
         0.9-7)
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
-Packaged: 2014-12-23 15:37:56 UTC; jjallaire
+Packaged: 2015-01-26 19:30:48 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
   RStudio [cph]
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-12-23 18:01:22
+Date/Publication: 2015-01-26 21:40:01

## dygraphs 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.4.1
-Date: 2014-12-23
+Version: 0.4.2
+Date: 2015-04-04
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -22,11 +22,11 @@
         0.9-7)
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
-Packaged: 2015-01-26 19:30:48 UTC; jjallaire
+Packaged: 2015-03-04 10:23:56 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
   RStudio [cph]
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-01-26 21:40:01
+Date/Publication: 2015-03-04 11:45:10

## dygraphs 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.4.2
-Date: 2015-04-04
+Version: 0.4.3
+Date: 2015-04-07
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
     person("JJ", "Allaire", role = c("aut", "cre"),
        comment = "R interface", email = "jj@rstudio.com"),
-    person(family = "RStudio", role = "cph")
+    person(family = "RStudio", role = "cph"),
+    person(family = "jQuery Foundation", role = "cph",
+           comment = "jQuery library"),
+    person(family = "jQuery contributors", role = c("ctb", "cph"),
+           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
     )
 Maintainer: JJ Allaire <jj@rstudio.com>
 Description: An R interface to the dygraphs JavaScript charting library
@@ -22,11 +26,14 @@
         0.9-7)
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
-Packaged: 2015-03-04 10:23:56 UTC; jjallaire
+Packaged: 2015-04-07 12:07:57 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
-  RStudio [cph]
+  RStudio [cph],
+  jQuery Foundation [cph] (jQuery library),
+  jQuery contributors [ctb, cph] (jQuery library; authors listed in
+    inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-03-04 11:45:10
+Date/Publication: 2015-04-07 16:02:34

## dygraphs 0.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.4.3
-Date: 2015-04-07
+Version: 0.4.5
+Date: 2015-06-11
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -15,7 +15,7 @@
            comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
     )
 Maintainer: JJ Allaire <jj@rstudio.com>
-Description: An R interface to the dygraphs JavaScript charting library
+Description: An R interface to the 'dygraphs' JavaScript charting library
     (a copy of which is included in the package). Provides rich facilities
     for charting time-series data in R, including highly configurable 
     series- and axis-display and interactive features like zoom/pan and 
@@ -26,7 +26,8 @@
         0.9-7)
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
-Packaged: 2015-04-07 12:07:57 UTC; jjallaire
+NeedsCompilation: no
+Packaged: 2015-06-11 12:00:53 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -34,6 +35,5 @@
   jQuery Foundation [cph] (jQuery library),
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
-NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-04-07 16:02:34
+Date/Publication: 2015-06-11 18:31:36

## dygraphs 0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.4.5
-Date: 2015-06-11
+Version: 0.5
+Date: 2015-10-13
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -27,7 +27,7 @@
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 NeedsCompilation: no
-Packaged: 2015-06-11 12:00:53 UTC; jjallaire
+Packaged: 2015-10-19 18:08:39 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -36,4 +36,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2015-06-11 18:31:36
+Date/Publication: 2015-10-20 08:14:44

## dygraphs 0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to Dygraphs Interactive Time Series Charting Library
-Version: 0.5
-Date: 2015-10-13
+Version: 0.6
+Date: 2015-12-21
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -27,7 +27,7 @@
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 NeedsCompilation: no
-Packaged: 2015-10-19 18:08:39 UTC; jjallaire
+Packaged: 2015-12-21 13:50:20 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -36,4 +36,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2015-10-20 08:14:44
+Date/Publication: 2015-12-21 16:06:54

## dygraphs 0.7

=== DESCRIPTION ===
Package: dygraphs
Type: Package
Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
Version: 0.7
Date: 2016-02-02
Authors@R: c(
    person("Dan", "Vanderkam", role = c("aut", "cph"),
       comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
    person("JJ", "Allaire", role = c("aut", "cre"),
       comment = "R interface", email = "jj@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person("Jonathan", "Owen", role = c("aut", "cph")),
    person("Daniel", "Gromer", role = c("aut", "cph")),
    person("Petr", "Shevtsov", role = c("aut", "cph")),
    person("Benoit", "Thieurmel", role = c("aut", "cph")),
    person(family = "jQuery Foundation", role = "cph",
           comment = "jQuery library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
    )
Maintainer: JJ Allaire <jj@rstudio.com>
Description: An R interface to the 'dygraphs' JavaScript charting library
    (a copy of which is included in the package). Provides rich facilities
    for charting time-series data in R, including highly configurable
    series- and axis-display and interactive features like zoom/pan and
    series/point highlighting.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, htmlwidgets (>= 0.3.2), zoo (>= 1.7-10), xts (>=
        0.9-7)
Suggests: testthat
Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-02 17:07:49 UTC; jjallaire
Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
    http://dygraphs.com/),
  JJ Allaire [aut, cre] (R interface),
  RStudio [cph],
  Jonathan Owen [aut, cph],
  Daniel Gromer [aut, cph],
  Petr Shevtsov [aut, cph],
  Benoit Thieurmel [aut, cph],
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/htmlwidgets/lib/jquery/AUTHORS.txt)
Repository: CRAN
Date/Publication: 2016-02-03 01:22:53

## dygraphs 0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 0.7
-Date: 2016-02-02
+Version: 0.8
+Date: 2016-03-08
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -32,7 +32,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-02-02 17:07:49 UTC; jjallaire
+Packaged: 2016-03-08 20:03:27 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-02-03 01:22:53
+Date/Publication: 2016-03-09 01:09:07

## dygraphs 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 0.8
-Date: 2016-03-08
+Version: 0.9
+Date: 2016-04-24
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -32,7 +32,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-03-08 20:03:27 UTC; jjallaire
+Packaged: 2016-04-24 20:01:47 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-03-09 01:09:07
+Date/Publication: 2016-04-24 23:22:32

## dygraphs 1.1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 0.9
+Version: 1.1.1-1
 Date: 2016-04-24
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
@@ -26,13 +26,13 @@
     series/point highlighting.
 License: MIT + file LICENSE
 Depends: R (>= 3.0)
-Imports: magrittr, htmlwidgets (>= 0.3.2), zoo (>= 1.7-10), xts (>=
-        0.9-7)
+Imports: magrittr, htmlwidgets (>= 0.6), htmltools (>= 0.3.5), zoo (>=
+        1.7-10), xts (>= 0.9-7)
 Suggests: testthat
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-04-24 20:01:47 UTC; jjallaire
+Packaged: 2016-08-06 02:03:54 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-04-24 23:22:32
+Date/Publication: 2016-08-06 22:50:01

## dygraphs 1.1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 1.1.1-1
+Version: 1.1.1.0
 Date: 2016-04-24
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
@@ -32,7 +32,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-08-06 02:03:54 UTC; jjallaire
+Packaged: 2016-08-01 15:20:43 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-08-06 22:50:01
+Date/Publication: 2016-08-01 19:13:05

## dygraphs 1.1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 1.1.1.0
-Date: 2016-04-24
+Version: 1.1.1.2
+Date: 2016-09-14
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -32,7 +32,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-08-01 15:20:43 UTC; jjallaire
+Packaged: 2016-09-14 11:11:14 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-08-01 19:13:05
+Date/Publication: 2016-09-14 19:44:15

## dygraphs 1.1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 1.1.1.2
-Date: 2016-09-14
+Version: 1.1.1.3
+Date: 2016-11-09
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -32,7 +32,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-09-14 11:11:14 UTC; jjallaire
+Packaged: 2016-11-09 21:06:39 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +45,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-09-14 19:44:15
+Date/Publication: 2016-11-09 23:45:17

## dygraphs 1.1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dygraphs
 Type: Package
 Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
-Version: 1.1.1.3
-Date: 2016-11-09
+Version: 1.1.1.4
+Date: 2017-01-04
 Authors@R: c(
     person("Dan", "Vanderkam", role = c("aut", "cph"),
        comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
@@ -19,6 +19,8 @@
            comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
     )
 Maintainer: JJ Allaire <jj@rstudio.com>
+URL: https://github.com/rstudio/dygraphs
+BugReports: https://github.com/rstudio/dygraphs/issues
 Description: An R interface to the 'dygraphs' JavaScript charting library
     (a copy of which is included in the package). Provides rich facilities
     for charting time-series data in R, including highly configurable
@@ -32,7 +34,7 @@
 Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-11-09 21:06:39 UTC; jjallaire
+Packaged: 2017-01-04 13:43:02 UTC; jjallaire
 Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
     http://dygraphs.com/),
   JJ Allaire [aut, cre] (R interface),
@@ -45,4 +47,4 @@
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/htmlwidgets/lib/jquery/AUTHORS.txt)
 Repository: CRAN
-Date/Publication: 2016-11-09 23:45:17
+Date/Publication: 2017-01-04 16:34:56

## dygraphs 1.1.1.5

=== DESCRIPTION ===
Package: dygraphs
Type: Package
Title: Interface to 'Dygraphs' Interactive Time Series Charting Library
Version: 1.1.1.5
Authors@R: c(
    person("Dan", "Vanderkam", role = c("aut", "cph"),
       comment = "dygraphs library in htmlwidgets/lib, http://dygraphs.com/"),
    person("Petr", "Shevtsov", role = c("cre", "cph"),
       email = "petr.shevtsov@gmail.com"),
    person("JJ", "Allaire", role = c("aut")),
    person(family = "RStudio", role = "cph"),
    person("Jonathan", "Owen", role = c("aut", "cph")),
    person("Daniel", "Gromer", role = c("aut", "cph")),
    person("Benoit", "Thieurmel", role = c("aut", "cph")),
    person("Kent", "Laukhuf", role = "ctb"),
    person(family = "jQuery Foundation", role = "cph",
           comment = "jQuery library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt")
    )
URL: https://github.com/rstudio/dygraphs
BugReports: https://github.com/rstudio/dygraphs/issues
Description: An R interface to the 'dygraphs' JavaScript charting library
    (a copy of which is included in the package). Provides rich facilities
    for charting time-series data in R, including highly configurable
    series- and axis-display and interactive features like zoom/pan and
    series/point highlighting.
License: MIT + file LICENSE
Depends: R (>= 3.0)
Imports: magrittr, htmlwidgets (>= 0.6), htmltools (>= 0.3.5), zoo (>=
        1.7-10), xts (>= 0.9-7)
Suggests: testthat
Enhances: rmarkdown (>= 0.3.3), shiny (>= 0.10.2.1)
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-06-28 10:59:16 UTC; petr
Author: Dan Vanderkam [aut, cph] (dygraphs library in htmlwidgets/lib,
    http://dygraphs.com/),
  Petr Shevtsov [cre, cph],
  JJ Allaire [aut],
  RStudio [cph],
  Jonathan Owen [aut, cph],
  Daniel Gromer [aut, cph],
  Benoit Thieurmel [aut, cph],
  Kent Laukhuf [ctb],
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/htmlwidgets/lib/jquery/AUTHORS.txt)
Maintainer: Petr Shevtsov <petr.shevtsov@gmail.com>
Repository: CRAN
Date/Publication: 2018-06-28 12:09:25 UTC

## dygraphs 2.2.0

=== debian/changelog ===
dygraphs (2.2.0-4) unstable; urgency=medium

  * jq is now a Build-Depends

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Jan 2023 00:55:07 +0100

dygraphs (2.2.0-3) unstable; urgency=medium

  * Fix sourcemap paths for browser-pack/core-js manually (same issue)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Jan 2023 22:00:32 +0000

dygraphs (2.2.0-2) unstable; urgency=medium

  * Version node-browser-pack B-D for reproducible builds

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 28 Jan 2023 20:09:10 +0100

dygraphs (2.2.0-1) unstable; urgency=medium

  * New upstream release
    - see /usr/share/doc/libjs-dygraphs/site/versions.html
  * Update lintian overrides, Policy (ceteris paribus)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 25 Jan 2023 15:24:48 +0100

dygraphs (2.1.2-1) unstable; urgency=low

  * Switch to nōn-native packaging
  * New release, having taken upstream hat
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 15 Dec 2022 02:18:34 +0100

dygraphs (2.1.1) unstable; urgency=medium

  * Initial release. (Closes: #749603)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 29 Nov 2022 20:51:53 +0100

=== debian/control ===
Source: dygraphs
Section: javascript
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://dygraphs.com/
Build-Depends: debhelper-compat (= 13),
 cleancss,
 ed,
 jq,
 jsdoc-toolkit,
 libjs-bootstrap,
 libjs-jquery,
 libjs-jquery-ui,
 mksh,
 node-babel7,
 node-browser-pack,
 node-browserify,
 node-webpack-sources,
 pax,
 python3,
 uglifyjs,
Standards-Version: 4.6.2
Rules-Requires-Root: no
VCS-git: https://github.com/mirabilos/dygraphs
VCS-Browser: https://github.com/mirabilos/dygraphs

Package: libjs-dygraphs
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: javascript-common
Suggests: libjs-bootstrap, libjs-jquery, libjs-jquery-ui
Description: fast and flexible JavaScript charting library
 The dygraphs library produces interactive, zoomable charts of
 time series purely client-side. Features include:
  - Plots time series without using an external server or Flash
  - Supports error bands around data series
  - Interactive pan and zoom
  - Displays values on mouseover
  - Adjustable averaging period
  - Extensive set of options for customisation
  - Compatible with the Google Visualisation API (gviz)
 .
 Browser requirements are rather low, but the Canvas element
 is needed, which excludes MSIE < 9 or outside of HTML5 mode.
 .
 The packages in Suggests are only needed to display the
 HTML documentation locally.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL
TZ:=UTC
export TZ

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

# mostly ../.gitignore minus debian/copyright
CLEANFILES+=	*.log
CLEANFILES+=	_site
CLEANFILES+=	coverage
CLEANFILES+=	dist
CLEANFILES+=	disttmp
CLEANFILES+=	docroot
CLEANFILES+=	docs/download.html
CLEANFILES+=	docs/options.html
CLEANFILES+=	env
CLEANFILES+=	jsdoc
CLEANFILES+=	jsdoc.tmp
CLEANFILES+=	node_modules
CLEANFILES+=	package-lock.json
CLEANFILES+=	site
CLEANFILES+=	src-es5

execute_before_dh_clean:
	echo | cat debian/copyright.in - LICENSE.txt >debian/copyright
	chmod 644 debian/copyright
	-rm -rf ${CLEANFILES}

%:
	dh $@ --buildsystem=none

override_dh_auto_build:
	scripts/build.sh
	(cd site && exec mksh ../scripts/mkdiridx.sh --ah '<a href="../">libjs-dygraphs</a> manual integration tests' ./tests)

execute_after_dh_installdocs:
	# replaced with symbolic links
	rm debian/libjs-dygraphs/usr/share/doc/libjs-dygraphs/site/.jslibs/*
	rm debian/libjs-dygraphs/usr/share/doc/libjs-dygraphs/site/LICENSE.txt
	rm -r debian/libjs-dygraphs/usr/share/doc/libjs-dygraphs/site/dist

execute_after_dh_compress:
	(cd debian/libjs-dygraphs/usr/share/doc/libjs-dygraphs/site && \
	    find . -name \*.gz -a \! -name \*.pdf.gz -exec gzip -d '{}' +)

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
filenamemangle=s/.+\/v(\d+(?:\.\d+)+)/dygraphs-$1.tar.gz/ \
  https://api.github.com/repos/danvk/dygraphs/tags?per_page=200 \
  https:[^"]*/tarball/refs/tags/v(\d+(?:\.\d+)+)(?="|$)

## dygraphs 2.2.1

=== debian/changelog ===
dygraphs (2.2.1-1) unstable; urgency=medium

  * New upstream targeted bugfix release
    - stop installing tests.js, no longer necessary
    - do install new upstream CHANGES file
    - use official origtgz, not GitHub-provided, not-stable tarballs
  * Update overrides for lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 17 Feb 2023 00:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  The dygraphs library produces interactive, zoomable charts of
  time series purely client-side. Features include:
   - Plots time series without using an external server or Flash
-  - Supports error bands around data series
+  - Supports high/low bands (confidence intervals) around data series
   - Interactive pan and zoom
   - Displays values on mouseover
   - Adjustable averaging period

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 # mostly ../.gitignore minus debian/copyright
 CLEANFILES+=	*.log
+CLEANFILES+=	__pycache__
 CLEANFILES+=	_site
 CLEANFILES+=	coverage
 CLEANFILES+=	dist
@@ -23,6 +24,8 @@
 CLEANFILES+=	docroot
 CLEANFILES+=	docs/download.html
 CLEANFILES+=	docs/options.html
+CLEANFILES+=	docs/versions.html
+CLEANFILES+=	dygraphs-2.*.tgz
 CLEANFILES+=	env
 CLEANFILES+=	jsdoc
 CLEANFILES+=	jsdoc.tmp

=== debian/watch ===
version=4
opts=\
searchmode=plain \
  https://api.github.com/repos/danvk/dygraphs/releases?per_page=200 \
  https://github.com/danvk/dygraphs/releases/download/[^/]*/dygraphs_(\d+(?:\.\d+)+).orig.tar.gz
